{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://api.talentscan.tv","description":"Generated server url"}],"paths":{"/api/talent/profile/password":{"put":{"tags":["talent-profile-api-controller"],"operationId":"changePassword","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/profile/details":{"put":{"tags":["talent-profile-api-controller"],"operationId":"updateDetails","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/profile/bank":{"get":{"tags":["talent-profile-api-controller"],"operationId":"getBank","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"put":{"tags":["talent-profile-api-controller"],"operationId":"saveBank","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/jobs/{id}":{"put":{"tags":["talent-job-api-controller"],"operationId":"updateJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManualJobDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["talent-job-api-controller"],"operationId":"deleteJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/income/{source}/{id}/status":{"put":{"tags":["talent-income-api-controller"],"operationId":"toggleStatus","parameters":[{"name":"source","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/badges/community-visibility":{"put":{"tags":["talent-badge-api-controller"],"operationId":"setCommunityVisibility","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"boolean"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/walkins/{requestId}/reject":{"post":{"tags":["check-in-api-controller"],"operationId":"rejectWalkIn","parameters":[{"name":"requestId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/walkins/{requestId}/approve":{"post":{"tags":["check-in-api-controller"],"operationId":"approveWalkIn","parameters":[{"name":"requestId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/profile/pic":{"post":{"tags":["talent-profile-api-controller"],"operationId":"uploadProfilePic","requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/profile/gallery":{"get":{"tags":["talent-profile-api-controller"],"operationId":"getGallery","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["talent-profile-api-controller"],"operationId":"uploadGalleryImage","requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/profile/documents":{"get":{"tags":["talent-profile-api-controller"],"operationId":"getDocuments","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["talent-profile-api-controller"],"operationId":"uploadDocument","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/jobs":{"get":{"tags":["talent-job-api-controller"],"operationId":"listJobs","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["talent-job-api-controller"],"operationId":"createJob","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManualJobDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/jobs/scan-chit":{"post":{"tags":["talent-job-api-controller"],"operationId":"scanChit","requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/income/proof":{"post":{"tags":["talent-income-api-controller"],"operationId":"recordProofOfIncome","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/cv/print":{"post":{"tags":["talent-profile-api-controller"],"operationId":"recordCvPrint","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/badges/seen":{"post":{"tags":["talent-badge-api-controller"],"operationId":"markSeen","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/subscription/cancel":{"post":{"tags":["subscription-api-controller"],"operationId":"cancel","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/runlist/detail/{id}/role":{"post":{"tags":["run-list-api-controller"],"operationId":"updateRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/public/contact":{"post":{"tags":["public-contact-controller"],"operationId":"send","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/public/chat":{"post":{"tags":["public-chat-controller"],"operationId":"chat","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/payfast/success":{"post":{"tags":["payfast-api-controller"],"operationId":"success","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/payfast/itn":{"post":{"tags":["payfast-api-controller"],"operationId":"itn","parameters":[{"name":"arg1","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/notifications/{id}/read":{"post":{"tags":["notification-api-controller"],"operationId":"markRead","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/notifications/subscribe":{"post":{"tags":["notification-api-controller"],"operationId":"subscribe","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/notifications/read-all":{"post":{"tags":["notification-api-controller"],"operationId":"markAllRead","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/{id}/messages":{"get":{"tags":["lift-request-api-controller"],"operationId":"messages","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["lift-request-api-controller"],"operationId":"sendMessage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatMessageBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/{id}/fell-through":{"post":{"tags":["lift-request-api-controller"],"operationId":"fellThrough","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/{id}/feedback":{"post":{"tags":["lift-request-api-controller"],"operationId":"feedback","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/{id}/cancel":{"post":{"tags":["lift-request-api-controller"],"operationId":"cancel_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/{id}/accept":{"post":{"tags":["lift-request-api-controller"],"operationId":"accept","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/request":{"post":{"tags":["lift-request-api-controller"],"operationId":"createRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/checkout":{"post":{"tags":["check-in-api-controller"],"operationId":"checkOut","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckInRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CheckInResponse"}}}}}}},"/api/checkin":{"post":{"tags":["check-in-api-controller"],"operationId":"checkIn","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckInRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CheckInResponse"}}}}}}},"/api/auth/webauthn/register/options":{"post":{"tags":["web-authn-api-controller"],"operationId":"registerOptions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/webauthn/register/finish":{"post":{"tags":["web-authn-api-controller"],"operationId":"registerFinish","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/webauthn/login/options":{"post":{"tags":["web-authn-api-controller"],"operationId":"loginOptions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/webauthn/login/finish":{"post":{"tags":["web-authn-api-controller"],"operationId":"loginFinish","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/register":{"post":{"tags":["auth-api-controller"],"operationId":"register","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/logout":{"post":{"tags":["auth-api-controller"],"operationId":"logout","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/login":{"post":{"tags":["auth-api-controller"],"operationId":"login","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/forgot-password":{"post":{"tags":["auth-api-controller"],"operationId":"forgotPassword","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/ai/chat":{"post":{"tags":["ai-chat-rest-controller"],"operationId":"chat_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChatResult"}}}}}}},"/api/ai/chat/complete":{"post":{"tags":["ai-chat-rest-controller"],"operationId":"complete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompleteRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"boolean"}}}}}}}},"/jsfapi/update/{guid}/{string}":{"get":{"tags":["jsf-api-bridge-controller"],"operationId":"update","parameters":[{"name":"guid","in":"path","description":"guid","required":true,"schema":{"type":"string"}},{"name":"string","in":"path","description":"String","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/img/{id}":{"get":{"tags":["image-controller"],"operationId":"getImage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/doc/{id}":{"get":{"tags":["doc-controller"],"operationId":"getDoc","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/walkins/{runlistId}":{"get":{"tags":["check-in-api-controller"],"operationId":"pendingWalkIns","parameters":[{"name":"runlistId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/today":{"get":{"tags":["talent-api-controller"],"operationId":"today","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/profile":{"get":{"tags":["talent-profile-api-controller"],"operationId":"getProfile","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/profile/doc/{id}":{"get":{"tags":["talent-profile-api-controller"],"operationId":"serveDoc","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/talent/income":{"get":{"tags":["talent-income-api-controller"],"operationId":"incomeSummary","parameters":[{"name":"months","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":6}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/cv":{"get":{"tags":["talent-profile-api-controller"],"operationId":"getCv","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/completeness":{"get":{"tags":["talent-profile-api-controller"],"operationId":"completeness","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CompletenessDto"}}}}}}},"/api/talent/chits":{"get":{"tags":["talent-chit-api-controller"],"operationId":"listChits","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/chits/{id}/pdf":{"get":{"tags":["talent-chit-api-controller"],"operationId":"downloadChitPdf","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/checkout-preview/{runlistDetailId}":{"get":{"tags":["check-in-api-controller"],"operationId":"checkoutPreview","parameters":[{"name":"runlistDetailId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/badges":{"get":{"tags":["talent-badge-api-controller"],"operationId":"myBadges","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/badges/recent-activity":{"get":{"tags":["talent-badge-api-controller"],"operationId":"recentActivity","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/badges/community":{"get":{"tags":["talent-badge-api-controller"],"operationId":"community","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/talent/badges/allstar-leaderboard":{"get":{"tags":["talent-badge-api-controller"],"operationId":"allStarLeaderboard","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/subscription/status":{"get":{"tags":["subscription-api-controller"],"operationId":"status","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/runlist/{id}":{"get":{"tags":["run-list-api-controller"],"operationId":"getRunList","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/runlist/{id}/roles":{"get":{"tags":["run-list-api-controller"],"operationId":"getRoles","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/public/landing/images/supporter":{"get":{"tags":["landing-image-controller"],"operationId":"supporter","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/public/landing/images/hero-logo":{"get":{"tags":["landing-image-controller"],"operationId":"heroLogo","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/public/landing/image/{id}":{"get":{"tags":["landing-image-controller"],"operationId":"serveById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/posters":{"get":{"tags":["poster-controller"],"operationId":"listPosters","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string"}}}}}}}}},"/api/payfast/initiate":{"get":{"tags":["payfast-api-controller"],"operationId":"initiate","parameters":[{"name":"plan","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/notifications":{"get":{"tags":["notification-api-controller"],"operationId":"list","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/notifications/vapid-public-key":{"get":{"tags":["notification-api-controller"],"operationId":"vapidPublicKey","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/open":{"get":{"tags":["lift-request-api-controller"],"operationId":"openRequests","parameters":[{"name":"runlistId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/mine":{"get":{"tags":["lift-request-api-controller"],"operationId":"mine","parameters":[{"name":"runlistId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/matches":{"get":{"tags":["lift-request-api-controller"],"operationId":"matches","parameters":[{"name":"runlistId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"area","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/lift/areas":{"get":{"tags":["lift-request-api-controller"],"operationId":"areas","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/coordinator/today":{"get":{"tags":["coordinator-api-controller"],"operationId":"todaysRunlists","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/checkin/status/{requestId}":{"get":{"tags":["check-in-api-controller"],"operationId":"approvalStatus","parameters":[{"name":"requestId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/status":{"get":{"tags":["auth-api-controller"],"operationId":"status_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/confirm-email":{"get":{"tags":["auth-api-controller"],"operationId":"confirmEmail","parameters":[{"name":"uuid","in":"query","required":true,"schema":{"type":"string"}},{"name":"redirect","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/ai/chat/active":{"get":{"tags":["ai-chat-rest-controller"],"operationId":"checkActive","parameters":[{"name":"currentPage","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageLoadResult"}}}}}}},"/api/talent/profile/gallery/{id}":{"delete":{"tags":["talent-profile-api-controller"],"operationId":"deleteGalleryImage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/notifications/unsubscribe":{"delete":{"tags":["notification-api-controller"],"operationId":"unsubscribe","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/webauthn/credentials/mine":{"delete":{"tags":["web-authn-api-controller"],"operationId":"removeMyCredentials","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"ManualJobDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"productionName":{"type":"string"},"productionType":{"type":"string"},"roleDescription":{"type":"string"},"roleInMovie":{"type":"string"},"shootDate":{"type":"string","format":"date"},"callTime":{"type":"string"},"wrapTime":{"type":"string"},"dayRate":{"type":"number","format":"double"},"overtimeHours":{"type":"number","format":"double"},"overtimeMultiplier":{"type":"number","format":"double"},"transportFee":{"type":"number","format":"double"},"agentName":{"type":"string"},"agentPercentage":{"type":"integer","format":"int32"},"agentFee":{"type":"number","format":"double"},"beforeTax":{"type":"number","format":"double"},"paye":{"type":"number","format":"double"},"amount":{"type":"number","format":"double"},"amountType":{"type":"string"},"paymentStatus":{"type":"string"},"notes":{"type":"string"},"chitImageId":{"type":"integer","format":"int64"}}},"ContactRequest":{"type":"object","properties":{"name":{"type":"string"},"email":{"type":"string"},"subject":{"type":"string"},"message":{"type":"string"}}},"ChatRequest":{"type":"object","properties":{"message":{"type":"string"},"history":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string"}}}}},"ChatMessageBody":{"type":"object","properties":{"text":{"type":"string"}}},"FeedbackBody":{"type":"object","properties":{"good":{"type":"boolean"},"comment":{"type":"string"}}},"CreateRequest":{"type":"object","properties":{"runlistId":{"type":"integer","format":"int64"},"area":{"type":"string"}}},"CheckInRequest":{"type":"object","properties":{"runlistId":{"type":"integer","format":"int64"},"runlistDetailId":{"type":"integer","format":"int64"},"idNumber":{"type":"string"},"byPassport":{"type":"boolean"},"direct":{"type":"boolean"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"cellNumber":{"type":"string"},"signatureBase64":{"type":"string"},"roleId":{"type":"integer","format":"int64"}}},"CheckInResponse":{"type":"object","properties":{"success":{"type":"boolean"},"queued":{"type":"boolean"},"pendingApproval":{"type":"boolean"},"approvalRequestId":{"type":"string"},"message":{"type":"string"},"checkInTime":{"$ref":"#/components/schemas/LocalTime"},"newUserRequired":{"type":"boolean"},"lateCheckInWarning":{"type":"string"}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"}}},"ChatResult":{"type":"object","properties":{"reply":{"type":"string"},"sessionId":{"type":"integer","format":"int64"},"chime":{"type":"boolean"}}},"CompleteRequest":{"type":"object","properties":{"sessionId":{"type":"integer","format":"int64"}}},"CompletenessDto":{"type":"object","properties":{"percent":{"type":"integer","format":"int32"},"nextStep":{"type":"string"},"missing":{"type":"array","items":{"type":"string"}}}},"MessageDto":{"type":"object","properties":{"role":{"type":"string"},"content":{"type":"string"},"pageContext":{"type":"string"}}},"PageLoadResult":{"type":"object","properties":{"active":{"type":"boolean"},"sessionId":{"type":"integer","format":"int64"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/MessageDto"}},"chime":{"type":"boolean"}}}}}}